Name:          libcaca
Version:       0.99.beta18
Release:       1mamba
Summary:       A library for Colour AsCii Art, text mode graphics
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://caca.zoy.org/
Source:        http://caca.zoy.org/files/libcaca/%{name}-%{version}.tar.gz
Patch0:        %{name}-0.99-configure_a4wide_path.patch
Patch1:        libcaca-0.99.beta18-mono-fix-x86_64-libdir.patch
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
%if "%{stage1}" != "1"
BuildRequires: libftgl-devel
%endif
BuildRequires: libgcc
BuildRequires: libimlib2-devel
BuildRequires: libncurses-devel
BuildRequires: libslang-devel
BuildRequires: libstdc++6-devel
BuildRequires: libX11-devel
BuildRequires: libz-devel
BuildRequires: ruby-devel
## AUTOBUILDREQ-END
BuildRequires: mono-devel
BuildRequires: jdk
BuildRequires: libGL-devel
BuildRequires: libGLUT-devel
BuildRequires: libpango-devel
BuildRequires: doxygen
BuildRequires: tetex-latex
BuildRequires: tetex-dvips
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Libcaca is the Colour AsCii Art library.
It provides high level functions for colour text drawing, simple primitives for line, polygon and ellipse drawing, as well as powerful image to text conversion routines.

%package devel
Summary:       Development files for libcaca, the library for Colour AsCii Art
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
%if "%{stage1}" != "1"
Requires:      %{name}-java = %{?epoch:%epoch:}%{version}-%{release}
Requires:      %{name}-sharp = %{?epoch:%epoch:}%{version}-%{release}
%endif

%description devel
Libcaca is the Colour AsCii Art library.
It provides high level functions for colour text drawing, simple primitives for line, polygon and ellipse drawing, as well as powerful image to text conversion routines.

This package contains the header files and static libraries needed to compile applications or shared objects that use libcaca.

%package sharp
Summary:       C# caca libraries
Group:         System/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description sharp
C# caca libraries.
It provides high level functions for colour text drawing, simple primitives for line, polygon and ellipse drawing, as well as powerful image to text conversion routines.

This package contains the header files and static libraries needed to compile applications or shared objects that use libcaca.

%package java
Summary:       Java caca libraries
Group:         System/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description java
Java caca libraries.
It provides high level functions for colour text drawing, simple primitives for line, polygon and ellipse drawing, as well as powerful image to text conversion routines.

This package contains the header files and static libraries needed to compile applications or shared objects that use libcaca.

%package -n python-caca
Summary:       Python bindings to caca libraries
Group:         System/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n python-caca
Python bindings to caca libraries.

%package -n caca-utils
Summary:       Colour AsCii Art Text mode graphics utilities based on libcaca
Group:         Applications/Graphics
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n caca-utils
Libcaca is the Colour AsCii Art library.
It provides high level functions for colour text drawing, simple primitives for line, polygon and ellipse drawing, as well as powerful image to text conversion routines.

This package contains utilities and demonstration programs for libcaca, the Colour AsCii Art library.

%prep
%setup -q
#%patch0 -p1
%patch1 -p1

%build
%configure \
   --enable-shared \
   --disable-static \
   --enable-imlib2 \
   --enable-ncurses \
   --enable-slang \
   --enable-x11 \
   --x-libraries=%{_libdir}

%make \
%if "%{stage1}" == "1"
   CFLAGS="-I../caca"
%endif

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
%makeinstall \
%if "%{stage1}" == "1"
   CFLAGS="-I../caca"
%endif

# we want to include the docs ourselves from the source directory
mv %{buildroot}%{_datadir}/doc/libcucul-dev installed-docs
rm -rf installed-docs/pdf

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libcaca.so.*
%{_libdir}/libcaca++.so.*
%{_libdir}/libcucul.so.*
%{_libdir}/libcucul++.so.*
%{_libdir}/ruby/site_ruby/*/*/caca.la
%{_libdir}/ruby/site_ruby/*/*/caca.so
%{_libdir}/ruby/site_ruby/*/caca.rb

%files devel
%defattr(-,root,root)
%{_bindir}/caca-config
%{_libdir}/libcaca.la
%{_libdir}/libcaca.so
%{_libdir}/libcaca++.la
%{_libdir}/libcaca++.so
%{_libdir}/libcucul.la
%{_libdir}/libcucul.so
%{_libdir}/libcucul++.la
%{_libdir}/libcucul++.so
%{_libdir}/jni/libcaca-java.la
%{_libdir}/jni/libcaca-java.so
%{_libdir}/pkgconfig/caca.pc
%{_libdir}/pkgconfig/cucul.pc
%{_includedir}/caca.h
%{_includedir}/caca++.h
%{_includedir}/caca_conio.h
%{_includedir}/caca_types.h
%{_includedir}/caca0.h
%{_includedir}/cucul.h
%{_libdir}/pkgconfig/caca++.pc
%{_libdir}/pkgconfig/cucul++.pc
%{_mandir}/man1/caca-config.*
%{_mandir}/man3/*
%doc AUTHORS ChangeLog COPYING NEWS NOTES README THANKS

%files java
%defattr(-,root,root)
%{_libdir}/jni/libcaca-java.so.*
%{_datadir}/java/libjava.jar

%files sharp
%defattr(-,root,root)
%{_prefix}/lib/mono/caca-sharp-*/caca-sharp.dll
%{_libdir}/mono/caca-sharp-*/caca-sharp.dll.config
%{_prefix}/lib/mono/gac/caca-sharp/*/caca-sharp.dll
%{_prefix}/lib/mono/gac/caca-sharp/*/caca-sharp.dll.config
%{_prefix}/lib/mono/gac/caca-sharp/*/caca-sharp.dll.mdb

%files -n python-caca
%defattr(-,root,root)
%dir %{python_sitearch}/caca
%{python_sitearch}/caca/*

%files -n caca-utils
%defattr(-,root,root)
%{_bindir}/cacaclock
%{_bindir}/cacademo
%{_bindir}/cacafire
%{_bindir}/cacaplay
%{_bindir}/cacaserver
%{_bindir}/cacaview
%{_bindir}/img2txt
%{_datadir}/libcaca/
%{_mandir}/man1/cacademo.*
%{_mandir}/man1/cacafire.*
%{_mandir}/man1/cacaplay.*
%{_mandir}/man1/cacaserver.*
%{_mandir}/man1/cacaview.*
%{_mandir}/man1/img2txt.*
%{_datadir}/doc/libcaca-dev/html/*
%{_datadir}/doc/libcaca-dev/pdf/libcaca.pdf

%changelog
* Sun Aug 26 2012 Automatic Build System <autodist@mambasoft.it> 0.99.beta18-1mamba
- automatic version update by autodist

* Sat Dec 11 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 0.99.beta17-1mamba
- update to 0.99.beta17

* Wed Dec 10 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.99.beta16-1mamba
- update to 0.99.beta16

* Wed Apr 18 2007 Davide Madrisan <davide.madrisan@gmail.com> 0.99.beta11-1mamba
- update to version 0.99.beta11

* Wed Apr 18 2007 Davide Madrisan <davide.madrisan@gmail.com> 0.9-3mamba
- fixed search path for a4wide.sty in the configure script
- build documentation

* Fri Oct 01 2004 Davide Madrisan <davide.madrisan@qiinux.it> 0.9-2qilnx
- specfile fixed and modified to match QiLinux standards

* Sun Sep 19 2004 Matteo Bernasconi <voyagernm@virgilio.it> 0.9-1qilnx
- first build
